/* tests/test_mpri_add_table.c -- C input file */
/*
 * MPRIA - GNU Multi-Precision Rational Interval Arithmetic Library
 * Copyright (C) 2009-2016  Jerome Benoit <jgmbenoit@rezozer.net>
 *
 * This file is part of the GNU MPRIA Library.
 *
 * The GNU MPRIA Library is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU MPRIA Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the GNU MPRIA Library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*
 * generation date: 2016/01/21 21:17:35 UTC
 * generation place: NeN
 * generated with: test_mpri_add_table.cg (GAP 4.7.5)
 * generated by: jgmb <jgmb@NeN>
 *
 * comment: not human readable
 *
 */

test_mpri_add_tuple test_table[]={
	{"-7/2","-1/3","-7/2","-1/3","-7","-2/3"},
	{"-7/2","-1/3","-1/7","-1/7","-51/14","-10/21"},
	{"-7/2","-1/3","-1/7","1/7","-51/14","-4/21"},
	{"-7/2","-1/3","0","0","-7/2","-1/3"},
	{"-7/2","-1/3","1/7","1/7","-47/14","-4/21"},
	{"-7/2","17/11","-7/2","17/11","-7","34/11"},
	{"-7/2","17/11","-2/3","-2/3","-25/6","29/33"},
	{"-7/2","17/11","-2/3","2/3","-25/6","73/33"},
	{"-7/2","17/11","0","0","-7/2","17/11"},
	{"-7/2","17/11","2/3","2/3","-17/6","73/33"},
	{"-17/5","-7/3","-17/5","-7/3","-34/5","-14/3"},
	{"-17/5","-7/3","-4/3","-1/2","-71/15","-17/6"},
	{"-17/5","-7/3","-1/23","0","-396/115","-7/3"},
	{"-17/5","-7/3","-1/23","3/7","-396/115","-40/21"},
	{"-17/5","-7/3","0","1/23","-17/5","-158/69"},
	{"-17/5","-7/3","1/23","4/3","-386/115","-1"},
	{"-17/5","7/3","-17/5","7/3","-34/5","14/3"},
	{"-17/5","7/3","-4/3","-1/2","-71/15","11/6"},
	{"-17/5","7/3","-1/31","0","-532/155","7/3"},
	{"-17/5","7/3","-1/31","2/5","-532/155","41/15"},
	{"-17/5","7/3","0","1/31","-17/5","220/93"},
	{"-17/5","7/3","1/31","4/3","-522/155","11/3"},
	{"-7/3","-1/31","-7/3","-1/31","-14/3","-2/31"},
	{"-7/3","-1/31","-7/3","17/5","-14/3","522/155"},
	{"-7/3","0","-7/3","0","-14/3","0"},
	{"-7/3","0","-4/3","-1/2","-11/3","-1/2"},
	{"-7/3","0","-1/11","0","-80/33","0"},
	{"-7/3","0","-1/11","11/7","-80/33","11/7"},
	{"-7/3","0","0","1/11","-7/3","1/11"},
	{"-7/3","0","1/11","4/3","-74/33","4/3"},
	{"-7/3","17/5","-7/3","-1/31","-14/3","522/155"},
	{"-7/3","17/5","-7/3","17/5","-14/3","34/5"},
	{"-7/3","17/5","-1/31","0","-220/93","17/5"},
	{"-7/3","17/5","-1/31","1/7","-220/93","124/35"},
	{"-7/3","17/5","0","1/31","-7/3","532/155"},
	{"-7/3","17/5","1/31","7/3","-214/93","86/15"},
	{"-4/3","-1/2","-17/5","-7/3","-71/15","-17/6"},
	{"-4/3","-1/2","-17/5","7/3","-71/15","11/6"},
	{"-4/3","-1/2","-7/3","0","-11/3","-1/2"},
	{"-4/3","-1/2","-4/3","-1/2","-8/3","-1"},
	{"-4/3","-1/2","0","7/3","-4/3","11/6"},
	{"-4/3","-1/2","7/3","17/5","1","29/10"},
	{"-2/3","-2/3","-7/2","17/11","-25/6","29/33"},
	{"-2/3","-2/3","-2/3","-2/3","-4/3","-4/3"},
	{"-2/3","2/3","-7/2","17/11","-25/6","73/33"},
	{"-2/3","2/3","-2/3","2/3","-4/3","4/3"},
	{"-1/2","-1/2","-1/2","-1/2","-1","-1"},
	{"-1/2","-1/2","0","7/11","-1/2","3/22"},
	{"-1/2","0","-1/2","0","-1","0"},
	{"-1/2","0","0","7/3","-1/2","7/3"},
	{"-1/2","0","7/3","17/5","11/6","17/5"},
	{"-1/2","5/17","-1/2","5/17","-1","10/17"},
	{"-1/2","5/17","7/3","17/5","11/6","314/85"},
	{"-1/2","1/2","-1/2","1/2","-1","1"},
	{"-1/2","1/2","0","7/11","-1/2","25/22"},
	{"-1/2","7/11","-1/2","7/11","-1","14/11"},
	{"-1/2","7/11","0","7/3","-1/2","98/33"},
	{"-1/3","-1/3","-1/3","-1/3","-2/3","-2/3"},
	{"-1/3","-1/3","-5/17","0","-32/51","-1/3"},
	{"-1/3","1/3","-1/3","1/3","-2/3","2/3"},
	{"-1/3","1/3","-5/17","0","-32/51","1/3"},
	{"-5/17","0","-1/3","-1/3","-32/51","-1/3"},
	{"-5/17","0","-1/3","1/3","-32/51","1/3"},
	{"-5/17","0","-5/17","0","-10/17","0"},
	{"-5/17","0","0","0","-5/17","0"},
	{"-5/17","0","1/3","1/3","2/51","1/3"},
	{"-1/7","-1/7","-7/2","-1/3","-51/14","-10/21"},
	{"-1/7","-1/7","-1/7","-1/7","-2/7","-2/7"},
	{"-1/7","-1/7","1/2","11/3","5/14","74/21"},
	{"-1/7","1/7","-7/2","-1/3","-51/14","-4/21"},
	{"-1/7","1/7","-1/7","1/7","-2/7","2/7"},
	{"-1/7","1/7","1/2","11/3","5/14","80/21"},
	{"-1/11","0","-7/3","0","-80/33","0"},
	{"-1/11","0","-1/11","0","-2/11","0"},
	{"-1/11","11/7","-7/3","0","-80/33","11/7"},
	{"-1/11","11/7","-1/11","11/7","-2/11","22/7"},
	{"-1/23","0","-17/5","-7/3","-396/115","-7/3"},
	{"-1/23","0","-1/23","0","-2/23","0"},
	{"-1/23","3/7","-17/5","-7/3","-396/115","-40/21"},
	{"-1/23","3/7","-1/23","3/7","-2/23","6/7"},
	{"-1/31","0","-17/5","7/3","-532/155","7/3"},
	{"-1/31","0","-7/3","17/5","-220/93","17/5"},
	{"-1/31","0","-1/31","0","-2/31","0"},
	{"-1/31","1/7","-7/3","17/5","-220/93","124/35"},
	{"-1/31","1/7","-1/31","1/7","-2/31","2/7"},
	{"-1/31","2/5","-17/5","7/3","-532/155","41/15"},
	{"-1/31","2/5","-1/31","2/5","-2/31","4/5"},
	{"0","0","-7/2","-1/3","-7/2","-1/3"},
	{"0","0","-7/2","17/11","-7/2","17/11"},
	{"0","0","-5/17","0","-5/17","0"},
	{"0","0","0","0","0","0"},
	{"0","0","0","7/11","0","7/11"},
	{"0","0","1/2","11/3","1/2","11/3"},
	{"0","1/31","-17/5","7/3","-17/5","220/93"},
	{"0","1/31","-7/3","17/5","-7/3","532/155"},
	{"0","1/31","0","1/31","0","2/31"},
	{"0","1/23","-17/5","-7/3","-17/5","-158/69"},
	{"0","1/23","0","1/23","0","2/23"},
	{"0","1/11","-7/3","0","-7/3","1/11"},
	{"0","1/11","0","1/11","0","2/11"},
	{"0","1/2","0","1/2","0","1"},
	{"0","1/2","0","7/3","0","17/6"},
	{"0","1/2","7/3","17/5","7/3","39/10"},
	{"0","7/11","-1/2","-1/2","-1/2","3/22"},
	{"0","7/11","-1/2","1/2","-1/2","25/22"},
	{"0","7/11","0","0","0","7/11"},
	{"0","7/11","0","7/11","0","14/11"},
	{"0","7/11","1/2","1/2","1/2","25/22"},
	{"0","7/3","-4/3","-1/2","-4/3","11/6"},
	{"0","7/3","-1/2","0","-1/2","7/3"},
	{"0","7/3","-1/2","7/11","-1/2","98/33"},
	{"0","7/3","0","1/2","0","17/6"},
	{"0","7/3","0","7/3","0","14/3"},
	{"0","7/3","1/2","4/3","1/2","11/3"},
	{"1/31","4/3","-17/5","7/3","-522/155","11/3"},
	{"1/31","4/3","1/31","4/3","2/31","8/3"},
	{"1/31","7/3","-7/3","17/5","-214/93","86/15"},
	{"1/31","7/3","1/31","7/3","2/31","14/3"},
	{"1/23","4/3","-17/5","-7/3","-386/115","-1"},
	{"1/23","4/3","1/23","4/3","2/23","8/3"},
	{"1/11","4/3","-7/3","0","-74/33","4/3"},
	{"1/11","4/3","1/11","4/3","2/11","8/3"},
	{"1/7","1/7","-7/2","-1/3","-47/14","-4/21"},
	{"1/7","1/7","1/7","1/7","2/7","2/7"},
	{"1/7","1/7","1/2","11/3","9/14","80/21"},
	{"1/3","1/3","-5/17","0","2/51","1/3"},
	{"1/3","1/3","1/3","1/3","2/3","2/3"},
	{"1/2","1/2","0","7/11","1/2","25/22"},
	{"1/2","1/2","1/2","1/2","1","1"},
	{"1/2","4/3","0","7/3","1/2","11/3"},
	{"1/2","4/3","1/2","4/3","1","8/3"},
	{"1/2","4/3","7/3","17/5","17/6","71/15"},
	{"1/2","11/3","-1/7","-1/7","5/14","74/21"},
	{"1/2","11/3","-1/7","1/7","5/14","80/21"},
	{"1/2","11/3","0","0","1/2","11/3"},
	{"1/2","11/3","1/7","1/7","9/14","80/21"},
	{"1/2","11/3","1/2","11/3","1","22/3"},
	{"2/3","2/3","-7/2","17/11","-17/6","73/33"},
	{"2/3","2/3","2/3","2/3","4/3","4/3"},
	{"7/3","17/5","-4/3","-1/2","1","29/10"},
	{"7/3","17/5","-1/2","0","11/6","17/5"},
	{"7/3","17/5","-1/2","5/17","11/6","314/85"},
	{"7/3","17/5","0","1/2","7/3","39/10"},
	{"7/3","17/5","1/2","4/3","17/6","71/15"},
	{"7/3","17/5","7/3","17/5","14/3","34/5"},
	{NULL,NULL,NULL,NULL,NULL,NULL}}; /* test_table */

/* End of file tests/test_mpri_add_table.c */
