/* tests/test_mpri_div_table.c -- C input file */
/*
 * MPRIA - GNU Multi-Precision Rational Interval Arithmetic Library
 * Copyright (C) 2009-2016  Jerome Benoit <jgmbenoit@rezozer.net>
 *
 * This file is part of the GNU MPRIA Library.
 *
 * The GNU MPRIA Library is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU MPRIA Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the GNU MPRIA Library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*
 * generation date: 2016/01/21 21:17:41 UTC
 * generation place: NeN
 * generated with: test_mpri_div_table.cg (GAP 4.7.5)
 * generated by: jgmb <jgmb@NeN>
 *
 * comment: not human readable
 *
 */

test_mpri_div_tuple test_table[]={
	{"-11/3","-11/3","-11/3","-11/3","1","1"},
	{"-11/3","-1/7","-11/3","-1/7","3/77","77/3"},
	{"-17/5","0","-11/3","-11/3","0","51/55"},
	{"-17/5","0","-11/3","-1/7","0","119/5"},
	{"-17/5","0","-17/5","0","nan","nan"},
	{"-17/5","0","1/2","11/3","-34/5","0"},
	{"-17/5","0","11/3","11/3","-51/55","0"},
	{"-23/11","-5/17","-11/3","-11/3","15/187","69/121"},
	{"-23/11","-5/17","-11/3","-1/7","15/187","161/11"},
	{"-23/11","-5/17","-23/11","-5/17","55/391","391/55"},
	{"-23/11","-5/17","1/2","11/3","-46/11","-15/187"},
	{"-23/11","-5/17","11/3","11/3","-69/121","-15/187"},
	{"-23/11","5/17","-11/3","-1/7","-35/17","161/11"},
	{"-23/11","5/17","-23/11","5/17","nan","nan"},
	{"-23/11","5/17","-1/7","-1/7","-35/17","161/11"},
	{"-23/11","5/17","1/2","1/2","-46/11","10/17"},
	{"-23/11","5/17","1/2","11/3","-46/11","10/17"},
	{"-11/7","0","-11/7","0","nan","nan"},
	{"-11/7","0","-1/2","0","nan","nan"},
	{"-11/7","0","-1/2","3/7","nan","nan"},
	{"-11/7","0","0","0","nan","nan"},
	{"-11/7","0","0","3/7","nan","nan"},
	{"-7/5","-7/5","-7/5","-7/5","1","1"},
	{"-7/5","-7/5","-1/2","3/7","nan","nan"},
	{"-7/5","-7/5","0","3/7","nan","nan"},
	{"-7/5","-3/5","-7/5","-3/5","3/7","7/3"},
	{"-7/5","-3/5","-1/2","0","nan","nan"},
	{"-7/5","-3/5","-1/2","3/7","nan","nan"},
	{"-7/5","-3/5","0","0","nan","nan"},
	{"-7/5","-3/5","0","3/7","nan","nan"},
	{"-3/5","-3/5","-3/5","-3/5","1","1"},
	{"-3/5","-3/5","-1/2","0","nan","nan"},
	{"-3/5","-3/5","0","0","nan","nan"},
	{"-3/5","7/5","-3/5","7/5","nan","nan"},
	{"-3/5","7/5","-1/2","0","nan","nan"},
	{"-3/5","7/5","-1/2","3/7","nan","nan"},
	{"-3/5","7/5","0","0","nan","nan"},
	{"-3/5","7/5","0","3/7","nan","nan"},
	{"-1/2","0","-1/2","0","nan","nan"},
	{"-1/2","3/7","-1/2","3/7","nan","nan"},
	{"-5/17","23/11","-11/3","-11/3","-69/121","15/187"},
	{"-5/17","23/11","-11/3","-1/7","-161/11","35/17"},
	{"-5/17","23/11","-5/17","23/11","nan","nan"},
	{"-5/17","23/11","1/2","11/3","-10/17","46/11"},
	{"-5/17","23/11","11/3","11/3","-15/187","69/121"},
	{"-1/7","-1/7","-1/7","-1/7","1","1"},
	{"0","0","-11/3","-11/3","0","0"},
	{"0","0","-11/3","-1/7","0","0"},
	{"0","0","-1/2","0","nan","nan"},
	{"0","0","-1/2","3/7","nan","nan"},
	{"0","0","0","0","nan","nan"},
	{"0","0","0","3/7","nan","nan"},
	{"0","0","1/2","11/3","0","0"},
	{"0","0","11/3","11/3","0","0"},
	{"0","3/7","0","3/7","nan","nan"},
	{"0","11/7","-1/2","0","nan","nan"},
	{"0","11/7","-1/2","3/7","nan","nan"},
	{"0","11/7","0","0","nan","nan"},
	{"0","11/7","0","3/7","nan","nan"},
	{"0","11/7","0","11/7","nan","nan"},
	{"0","17/5","-11/3","-1/7","-119/5","0"},
	{"0","17/5","-1/7","-1/7","-119/5","0"},
	{"0","17/5","0","17/5","nan","nan"},
	{"0","17/5","1/2","1/2","0","34/5"},
	{"0","17/5","1/2","11/3","0","34/5"},
	{"5/17","23/11","-11/3","-1/7","-161/11","-15/187"},
	{"5/17","23/11","-1/7","-1/7","-161/11","-35/17"},
	{"5/17","23/11","5/17","23/11","55/391","391/55"},
	{"5/17","23/11","1/2","1/2","10/17","46/11"},
	{"5/17","23/11","1/2","11/3","15/187","46/11"},
	{"1/2","1/2","1/2","1/2","1","1"},
	{"1/2","11/3","1/2","11/3","3/22","22/3"},
	{"3/5","3/5","-1/2","3/7","nan","nan"},
	{"3/5","3/5","0","3/7","nan","nan"},
	{"3/5","3/5","3/5","3/5","1","1"},
	{"3/5","7/5","-1/2","0","nan","nan"},
	{"3/5","7/5","-1/2","3/7","nan","nan"},
	{"3/5","7/5","0","0","nan","nan"},
	{"3/5","7/5","0","3/7","nan","nan"},
	{"3/5","7/5","3/5","7/5","3/7","7/3"},
	{"7/5","7/5","-1/2","0","nan","nan"},
	{"7/5","7/5","0","0","nan","nan"},
	{"7/5","7/5","7/5","7/5","1","1"},
	{"11/3","11/3","11/3","11/3","1","1"},
	{NULL,NULL,NULL,NULL,NULL,NULL}}; /* test_table */

/* End of file tests/test_mpri_div_table.c */
